Package org.spongepowered.asm.mixin.extensibility

## Interface IActivityContext

- All Known Implementing Classes:
    `ActivityStack`

      public interface IActivityContext

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `IActivityContext.IActivity` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IActivityContext.IActivity` | `begin​(java.lang.String description)` | Begin a new activity (push it onto this activity stack)
    `IActivityContext.IActivity` | `begin​(java.lang.String descriptionFormat, java.lang.Object... args)` | Begin a new activity (push it onto this activity stack)
    `void` | `clear()` | Clear the activity stack
    `java.lang.String` | `toString​(java.lang.String glue)` | Convert this activity stack to a string representation using the specified glue string

- - ### Method Detail

    - #### toString

          java.lang.String toString​(java.lang.String glue)

      Convert this activity stack to a string representation using the specified glue string
      Parameters:
        `glue` - glue string
      Returns:
        string representation of this activity stack

    - #### begin

          IActivityContext.IActivity begin​(java.lang.String descriptionFormat,
                                           java.lang.Object... args)

      Begin a new activity (push it onto this activity stack)
      Parameters:
        `descriptionFormat` - Activity description format
        `args` - format args
      Returns:
        new activity handle

    - #### begin

          IActivityContext.IActivity begin​(java.lang.String description)

      Begin a new activity (push it onto this activity stack)
      Parameters:
        `description` - Activity description
      Returns:
        new activity handle

    - #### clear

          void clear()

      Clear the activity stack